Subject: OSPF Muli-Area Adjacency - draft-ietf-ospf-multi-area-adj-02.txt

From: Acee Lindem <[email-masked]>
Date: Wed, 29 Sep 2004 12:39:51 -0400

This is the start of the Working Group Last Call for
OSPF Multi-Area Adjacency.  All comments must be
received by Thursday, October 14th, 2004 at 12:00 AM.
The proposed document status is informational.

------
Acee

---

From: Erblichs <[email-masked]>
Date: Wed, 29 Sep 2004 13:06:39 -0700

Comments:

        1.1 Motivation

        1) Should a link be locally configurable
        as a single area link or as a possible
        multiple area link?

        Why wouldn't we want to restrict certain
        links via configurability?

        If so, suggestion that the default is to
        the former, and 2.3 must first check the
        configured value for this link.

        1.3 proposed Solution

        2) What is the result of the failure of
        the first primary link? Is one of the
        secondaries promoted, is their a cascade
        effect that fails all secondaries, or can
        you have ONLY secondaries?

        2b) What is the definition of a secondary?
        Shouldn't you say something about this?

        3) NIT. Their is no Reference as [OSPF]. This
        is repeated a few times. Their is a [RFC2328].
        Shouldn't they match?

        2.3 Multi-Area ....

        4) NIT Bullet in 2.3.. vilrtual -> virtual

        5) NIT. What is VL and TA?

        6) [...] what is this change in 2.3?

        7) Why isn't primary and or secondary specified
        here?

        8) NIT.. adjacencis -> adjacencies

        2.7 Advertising ...

        9) Link ID is set to two different values?

        General comment:

        10) Is their a limit to the number of secondary
        adjacencies?

        Thanks,

        Mitchell Erblich

        ------------------------

---

From: Sina Mirtorabi <[email-masked]>
Date: Wed, 29 Sep 2004 21:21:51 -0400

Mitchell,

Thanks for the comments, please see in line

->
->Comments:
->
->        1.1 Motivation
->
->        1) Should a link be locally configurable
->        as a single area link or as a possible
->        multiple area link?
->
->        Why wouldn't we want to restrict certain
->        links via configurability?
->
->        If so, suggestion that the default is to
->        the former, and 2.3 must first check the
->        configured value for this link.

The multi-area adjacency has to be explicitly configured, if you don't
want then you won't configure and you have a single adjacency. What do
you want to restrict?

->
->        1.3 proposed Solution
->
->        2) What is the result of the failure of
->        the first primary link? Is one of the
->        secondaries promoted, is their a cascade
->        effect that fails all secondaries, or can
->        you have ONLY secondaries?

There is no relation between primary and secondary adjacency. If the
link fail then obviously all adjacency over the link will fail. So no
relationship between different adjacencies

->
->        2b) What is the definition of a secondary?
->        Shouldn't you say something about this?

There is one mention of secondary adjacency in section 2.7 however it
should be replaced by "multi-area adjacency" which is defined through
out the document

->
->        3) NIT. Their is no Reference as [OSPF]. This
->        is repeated a few times. Their is a [RFC2328].
->        Shouldn't they match?

Yes, this will be corrected

->
->        2.3 Multi-Area ....
->
->        4) NIT Bullet in 2.3.. vilrtual -> virtual

Will be corrected

->
->        5) NIT. What is VL and TA?

Humm, it should be virtual link and multi-area adjacency...

->
->        6) [...] what is this change in 2.3?

Means the remaining is not changed from OSPF standard (section 8.2)

->
->        7) Why isn't primary and or secondary specified
->        here?
->

Secondary should be replaced by multi-area adjacency

->        8) NIT.. adjacencis -> adjacencies
->

Will be corrected

->        2.7 Advertising ...
->
->        9) Link ID is set to two different values?

The second should be Link Data. It Will be corrected

->
->        General comment:
->
->        10) Is their a limit to the number of secondary
->        adjacencies?

No, unless there is a reason to restrict. Typically you would use 1 (or
very few) depending on path requirement and number of ABR's attached
areas..

Thanks
Sina

->
->
->        Thanks,
->
->        Mitchell Erblich
->
->        ------------------------
->
->
->
->
->
->
->Acee Lindem wrote:
->>
->> This is the start of the Working Group Last Call for
->> OSPF Multi-Area Adjacency.  All comments must be
->> received by Thursday, October 14th, 2004 at 12:00 AM.
->> The proposed document status is informational.
->>
->> ------
->> Acee
->